{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Berita</title>
{% endblock meta %}

{% block footer_style %}relative{% endblock %}

{% block content %}
  <div class="d-flex flex-column my-3 berita-content">
    <h1 style="text-align: center;"> Headline </h1>

    {% for berita in beritas %}
    <div class="card my-5 border-custom">
      <div class="card-body p-5">
        <h3 class="card-title">{{berita.judul}}</h3>
        <div class="content-image">
          <img class="img-fluid image-custom"src="{{berita.gambar}}">
        </div>
        <div class="card my-3 border-custom2">
          <div class="card-body child-card">
            <p class="card-text">{{berita.isi}}</p>
          </div>
        </div>
        <p class="float-right">Baca selengkapnya di <a href="{{berita.alamat}}" target="_blank" class="card-link">{{berita.website}}</a></p>
      </div>
    </div>
    {% endfor %}
    
    <h1 style="text-align: center;"> Artikel </h1>
    <div id='create-article'>
      {% if user.is_authenticated %}
      <a href="{% url 'berita:create' %}"><button class="btn btn-primary">Tulis Artikel</button></a>
      {% else %}
      <div class="panel panel-default">
        <div class="panel-body">
          Login supaya bisa menulis artikel
        </div>
      </div>
      {% endif %}
    </div>

    {% for article in articles %}
    <div class="card my-5 border-custom">
      <div class="card-body p-5">
        <h3 class="card-title">{{article.title}}</h3>
        {% if article.user == user %}
        <a href="{% url 'berita:delete' article_id=article.article_id %}"><button class="btn btn-danger">Hapus Artikel</button></a>
        <a href="{% url 'berita:edit' article_id=article.article_id %}"><button class="btn btn-danger">Edit Artikel</button></a>
        {% endif %}
        <div class="card my-3 border-custom2">
          <div class="card-body child-card">
            {{ article.get_short_post|linebreaksbr }}
          </div>
        </div>
        <p class="float-right"><a href="{% url 'berita:detail' article_id=article.article_id %}" target="_blank" class="card-link">Klik ini untuk baca lengkapnya..</a></p>
        <br>
        <p class="float-right">Ditulis oleh {{ article.user.get_short_name }} </p>
        <br>
        <p class="float-right">{{ article.date }} </p>
      </div>
    </div>
    {% endfor %}
  </div>
{% endblock content %}
